CREATE PROCEDURE [dbo].[WstawianiePracownika]
  (
     @Imie varchar (50),
     @Nazwisko varchar (70),
     @IDDzialu int,
     @Pensja money
  )
  AS
    SET NOCOUNT OFF;

    if (@Pensja = 0 or @Pensja is null)
    begin
    -- Skomplikowane obliczenia pensji
    set @Pensja = @IDDzialu * 10000
    end
    INSERT INTO tblPracownicy(Imie, Nazwisko,
      IDDzialu, Pensja) VALUES
      (@Imie, @Nazwisko, @IDDzialu, @Pensja);
GO
